
terraform {
  required_version = "~>1.8"
  required_providers {
    scaleway = {
      source  = "scaleway/scaleway"
      version = "~>2.13"
    }
    # Contabo provider is not working for now, so we can't use it
    # contabo = {
    #   source  = "contabo/contabo"
    #   version = "0.1.26"
    # }
    cloudns = {
      source  = "ClouDNS/cloudns"
      version = "~>1.0"
    }
  }
}

provider "cloudns" {
  auth_id  = var.cloudns_auth_id
  password = var.cloudns_password
}

provider "scaleway" {
  zone            = "fr-par-2"
  region          = "fr-par"
  access_key      = var.scaleway_access_key
  secret_key      = var.scaleway_secret_key
  organization_id = var.scaleway_organization_id
}


# Configure your Contabo API credentials
# provider "contabo" {
#   oauth2_client_id     = var.contabo_client_id
#   oauth2_client_secret = var.contabo_client_secret
#   oauth2_user          = var.contabo_api_user
#   oauth2_pass          = var.contabo_api_password
# }
